Subject: [6lo] Comments on draft-ietf-6lo-dect-ule-00

From: "Ralph Droms (rdroms)" <[email-masked]>
Date: Thu, 6 Nov 2014 19:22:27 +0000

I have a few comments on draft-ietf-6lo-dect-ule-00.  Additional review and comment welcome...  

Content:

I'm curious about why the specification goes in to specifics about the use of various forms of RFC 6282 header compression.  Would it be sufficient to specify that IPv6-over-DECT ULE uses RFC 6282 header compression and leave it to the deployment to choose the forms of compression in use?  Are there any details about the use of RFC 6282 header compression that should be noted as specific to IPv6-over-DECT ULE.

In section 3.2.4, does this document specify that the link-local IPv6 addresses are to be entirely elided, or compressed (which turns out to be elided except for the RFC 6282 header bits)?

This document may need to make some mention of draft-ietf-6man-default-iids, depending on the progress of that document through the 6man WG.

Editorial:

In section 3.2.3, the use of "unicast" and "multicast" wasn't clear to me; specifically when do those terms apply to L2 and L3.

Section 2.1, para 5: s/Depending of/Depending on/

Section 3.2, para 1: I suggest simply writing out FAR rather than using the abbreviation.

Perhaps define 6LBR and 6LN in section 1.2 rather than in-line?